LDmicro0.2
MICRO=Microchip PIC16F876 28-PDIP or 28-SOIC
CYCLE=4000 us at Timer1, YPlcCycleDuty:0, ConfigurationWord(s):0x3F72
CRYSTAL=10000000 Hz
BAUD=2400 Hz, RATE=0 Hz, SPEED=100000 Hz
COMPILED=D:\Programmation\Ladder\Programmes\Tests\Pic16\HiTech\Src\test-i2c.c

VAR LIST
    1 bytes Cbool 	Inutilis actuellement !!!
    1 bytes Ccount
    1 bytes Cdigit 	Inutilis actuellement !!!
    2 bytes Cnew 	Inutilis actuellement !!!
    2 bytes Cstate 	Inutilis actuellement !!!
    2 bytes Hello 	Inutilis actuellement !!!
    2 bytes I2C 	Inutilis actuellement !!!
    2 bytes I2C1 	Inutilis actuellement !!!
    2 bytes I2C2 	Inutilis actuellement !!!
    2 bytes SPI 	Inutilis actuellement !!!
    2 bytes SPI1 	Inutilis actuellement !!!
    2 bytes SPI2 	Inutilis actuellement !!!
    1 bytes T1 	Inutilis actuellement !!!
    1 bytes T2 	Inutilis actuellement !!!
    1 bytes Tdelai1 	Inutilis actuellement !!!
    1 bytes Tdelai2 	Inutilis actuellement !!!
    1 bytes Tdelay 	Inutilis actuellement !!!
    2 bytes Tnew 	Inutilis actuellement !!!
    1 bytes Toff 	Inutilis actuellement !!!
    1 bytes Ton 	Inutilis actuellement !!!
    1 bytes Tonce 	Inutilis actuellement !!!
    2 bytes Tosc_off 	Inutilis actuellement !!!
    2 bytes Tosc_on 	Inutilis actuellement !!!
    2 bytes Ttempo 	Inutilis actuellement !!!
    2 bytes alpha 	Inutilis actuellement !!!
    2 bytes bool 	Inutilis actuellement !!!
    2 bytes char 	Inutilis actuellement !!!
  129 bytes char7seg 	Inutilis actuellement !!!
    1 bytes char7seg[0] 	Inutilis actuellement !!!
    2 bytes code 	Inutilis actuellement !!!
    2 bytes count 	Inutilis actuellement !!!
    2 bytes cycle 	Inutilis actuellement !!!
    2 bytes decade 	Inutilis actuellement !!!
    2 bytes dest 	Inutilis actuellement !!!
    2 bytes digit
    2 bytes digit0
    2 bytes digit1
    2 bytes duty_cycle 	Inutilis actuellement !!!
    2 bytes hou 	Inutilis actuellement !!!
    2 bytes i 	Inutilis actuellement !!!
    2 bytes inch 	Inutilis actuellement !!!
    2 bytes index 	Inutilis actuellement !!!
    2 bytes min 	Inutilis actuellement !!!
    7 bytes name 	Inutilis actuellement !!!
    1 bytes name[0] 	Inutilis actuellement !!!
    2 bytes outch 	Inutilis actuellement !!!
    2 bytes recv 	Inutilis actuellement !!!
    2 bytes sec
    2 bytes send 	Inutilis actuellement !!!
    2 bytes src 	Inutilis actuellement !!!
    2 bytes tab 	Inutilis actuellement !!!
    2 bytes totototo 	Inutilis actuellement !!!
    2 bytes totototoffg 	Inutilis actuellement !!!
    2 bytes units 	Inutilis actuellement !!!
    2 bytes var 	Inutilis actuellement !!!
    2 bytes x06 	Inutilis actuellement !!!
    2 bytes x3F 	Inutilis actuellement !!!
END

IO LIST
    Xbutton at 22 0 0
    Yseg_a at 2 0 0
    Yseg_b at 3 0 0
    Yseg_c at 4 0 0
    Yseg_d at 5 0 0
    Yseg_e at 6 0 0
    Yseg_f at 7 0 0
    Yseg_g at 11 0 0
    Yselect at 12 0 0
    I2C_SCL at 14 0 0
    I2C_SDA at 15 0 0
END

PROGRAM
RUNG 1
  COMMENT Sample program: how to drive a multiplexed 7-segment LED display. \r\nThis is for a 2-digit common-anode display
END
RUNG 2
  COMMENT With a 4 ms cycle time, it should be okay\r\n
END
RUNG 3
  CONTACTS Rdosc 1 0
  COIL Rdosc 0 0 0 0
END
RUNG 4
  CONTACTS Rdosc 0 0
  CTC Ccount 1 0 /
END
RUNG 5
  COMMENT Use Yselect to drive the base/gate of the transistor used to select display
END
RUNG 6
  EQU Ccount 0
  PARALLEL
    MOVE digit digit0
    COIL Yselect 0 0 0 0
  END
END
RUNG 7
  EQU Ccount 1
  PARALLEL
    MOVE digit digit1
    COIL Yselect 1 0 0 0
  END
END
RUNG 8
  COMMENT You can drive the segment pins of the display directly from the GPIO pins,\r\nYseg_a to Yseg_b.
END
RUNG 9
  PARALLEL
    SERIES
      NEQ digit 1
      NEQ digit 4
      COIL Yseg_a 1 0 0 0
    END
    SERIES
      NEQ digit 5
      NEQ digit 6
      COIL Yseg_b 1 0 0 0
    END
    SERIES
      NEQ digit 2
      COIL Yseg_c 1 0 0 0
    END
    SERIES
      NEQ digit 1
      NEQ digit 4
      NEQ digit 7
      COIL Yseg_d 1 0 0 0
    END
    SERIES
      PARALLEL
        EQU digit 0
        EQU digit 2
        EQU digit 6
        EQU digit 8
      END
      COIL Yseg_e 1 0 0 0
    END
    SERIES
      NEQ digit 1
      NEQ digit 2
      NEQ digit 3
      NEQ digit 7
      COIL Yseg_f 1 0 0 0
    END
    SERIES
      NEQ digit 0
      NEQ digit 1
      NEQ digit 7
      COIL Yseg_g 1 0 0 0
    END
  END
END
RUNG 10
  COMMENT Fill in your program here; just set the output that you want on digit0 and digit1\r\nConnect a DS1307 real time clock to I2C1
END
RUNG 11
  I2C_RD I2C - sec Master 0x68 0 MSB 100000
  BCD2BIN sec sec
END
RUNG 12
  DIV digit0 sec 10
END
RUNG 13
  MOD digit1 sec 10
END
RUNG 14
  COMMENT Push button to reset seconds
END
RUNG 15
  CONTACTS Xbutton 1 0
  I2C_WR I2C 0 - Master 0x68 0 MSB 100000
END
